Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class DiscreteDomains

    java.lang.Object
      com.google.common.collect.DiscreteDomains

    @GwtCompatible
    @Beta
    public final class DiscreteDomains

extends Object

Factories for common `DiscreteDomain` instances.

See the Guava User Guide section on `DiscreteDomain`.

Since:
  10.0
Author:
  Gregory Kick

Method Summary
`static DiscreteDomain<Integer>` | `integers()` Returns the discrete domain for values of type `Integer`.
`static DiscreteDomain<Long>` | `longs()` Returns the discrete domain for values of type `Long`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### integers

    public static DiscreteDomain<Integer> integers()

  Returns the discrete domain for values of type `Integer`.

### longs

    public static DiscreteDomain<Long> longs()

  Returns the discrete domain for values of type `Long`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.